Page MenuHomePhabricator

Test monolog logging provider in beta
Closed, ResolvedPublic

Description

Develop a Monolog logging configuration for MediaWiki and test it in the beta cluster.

Details

Related Gerrit Patches:
operations/puppet : productionlogstash: Rules for processing MW input via Redis
operations/mediawiki-config : masterbeta: Pass global into closure for redis connection
operations/mediawiki-config : masterbeta: Fix typo
operations/mediawiki-config : masterbeta: Fix logging redis address
mediawiki/core : masterAllow limiting Monolog output using legacy settings
mediawiki/core : masterAdd Monolog formatter that mimics legacy log output

Event Timeline

bd808 created this task.Oct 24 2014, 4:46 AM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a project: Librarization.
bd808 changed Security from none to None.
bd808 added a subscriber: bd808.
bd808 claimed this task.Nov 18 2014, 5:19 PM
bd808 moved this task from Untriaged to In Dev on the Librarization board.
bd808 removed a subscriber: bd808.
bd808 moved this task from Backlog to In Dev/Progress on the MediaWiki-Core-Team board.

Change 175619 had a related patch set uploaded (by BryanDavis):
beta: Fix logging redis address

https://gerrit.wikimedia.org/r/175619

Patch-For-Review

Change 175619 merged by jenkins-bot:
beta: Fix logging redis address

https://gerrit.wikimedia.org/r/175619

Change 175729 had a related patch set uploaded (by BryanDavis):
beta: Fix typo

https://gerrit.wikimedia.org/r/175729

Patch-For-Review

Change 175729 merged by jenkins-bot:
beta: Fix typo

https://gerrit.wikimedia.org/r/175729

Change 175733 had a related patch set uploaded (by BryanDavis):
beta: Pass global into closure for redis connection

https://gerrit.wikimedia.org/r/175733

Patch-For-Review

Change 175733 merged by jenkins-bot:
beta: Pass global into closure for redis connection

https://gerrit.wikimedia.org/r/175733

bd808 added a comment.Nov 25 2014, 5:19 PM

Config is live in beta and seems to not be throwing PHP errors to the HHVM log now, but the redis transport seems to still not be working. Next step will be to verify that connecting from the mediawiki servers to the logstash redis instance actually works.

bd808 added a subscriber: bd808.Nov 25 2014, 9:35 PM
In T845#784869, @bd808 wrote:

Config is live in beta and seems to not be throwing PHP errors to the HHVM log now, but the redis transport seems to still not be working. Next step will be to verify that connecting from the mediawiki servers to the logstash redis instance actually works.

I think the redis transport is working fine now but logstash is missing rules to tag the events coming in via redis for storage in elasticsearch. sudo tcpdump port 6379 on deployment-logstash1 shows lots of tcp traffic from deployment-mediawiki0[12].

Change 175896 had a related patch set uploaded (by BryanDavis):
logstash: Rules for processing MW input via Redis

https://gerrit.wikimedia.org/r/175896

Patch-For-Review

Change 175896 merged by Gage:
logstash: Rules for processing MW input via Redis

https://gerrit.wikimedia.org/r/175896

bd808 closed this task as Resolved.Dec 4 2014, 8:37 PM
bd808 removed a project: Patch-For-Review.
bd808 moved this task from In Dev/Progress to Done on the MediaWiki-Core-Team board.
bd808 moved this task from In Dev to Done on the Librarization board.

Monolog output to udp2log and redis seem to be working great.

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 8 2014, 10:55 PM
bd808 mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM